OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class EventWrapper

    java.lang.Object
      org.opennms.netmgt.mock.EventWrapper

class EventWrapper
extends java.lang.Object

Need this class because Event doesn't properly implement hashCode

Field Summary
`(package private) Event` `m_event`

Constructor Summary
`(package private)` `EventWrapper(Event event)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`Event` `getEvent()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_event

    Event m_event

Constructor Detail

### EventWrapper

    EventWrapper(Event event)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### getEvent

    public Event getEvent()

### hashCode

    public int hashCode()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.